#
# spec file for package ghc-sdl2
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name sdl2
Name:           ghc-%{pkg_name}
Version:        2.2.0
Release:        9.24
Summary:        Both high- and low-level bindings to the SDL library (version 2.0.4+)
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-StateVar-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-linear-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-vector-devel
BuildRequires:  libSDL2-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(sdl2)

%description
This package contains bindings to the SDL 2 library, in both high- and
low-level forms:

The 'SDL' namespace contains high-level bindings, where enumerations are split
into sum types, and we perform automatic error-checking.

The 'SDL.Raw' namespace contains an almost 1-1 translation of the C API into
Haskell FFI calls. As such, this does not contain sum types nor error checking.
Thus this namespace is suitable for building your own abstraction over SDL, but
is not recommended for day-to-day programming.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires:       libSDL2-devel
Requires:       pkgconfig
Requires:       pkgconfig(sdl2)
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE
%dir %{_datadir}/%{pkg_name}-%{version}
%dir %{_datadir}/%{pkg_name}-%{version}/examples
%dir %{_datadir}/%{pkg_name}-%{version}/examples/lazyfoo
%dir %{_datadir}/%{pkg_name}-%{version}/examples/twinklebear
%{_datadir}/%{pkg_name}-%{version}/examples/lazyfoo/*.bmp
%{_datadir}/%{pkg_name}-%{version}/examples/twinklebear/*.bmp

%files devel -f %{name}-devel.files
%doc ChangeLog.md

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 2.2.0 with cabal2obs.
* Sun Feb  5 2017 psimons@suse.com
- Update to version 2.1.3.1 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 2.1.3 revision 0 with cabal2obs.
* Fri Jul 22 2016 psimons@suse.com
- Update to version 2.1.2.1 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 2.1.1 revision 0 with cabal2obs.
